Debian Bug report logs - #700118
diffstat: please update config.guess and config.sub for arm64

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Fri, 8 Feb 2013 23:57:02 UTC

Severity: normal

Tags: patch

Found in version diffstat/1.55-3

Fixed in version diffstat/1.55-4

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sandro Tosi <morph@debian.org>:
Bug#700118; Package diffstat. (Fri, 08 Feb 2013 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Sandro Tosi <morph@debian.org>. (Fri, 08 Feb 2013 23:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: diffstat: please update config.guess and config.sub for arm64
Date: Fri, 8 Feb 2013 23:56:16 +0000
Package: diffstat
Version: 1.55-3
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertags: arm64

Please update config.guess and config.sub to a current version from
autotools-dev to support the arm64 architecture (aarch64-linux-gnu).  A
patch follows in case it helps.

I used the autotools-dev debhelper addons for this since that kind of
thing is less hassle than explicitly creating a patch for 3.0 (quilt)
sources, but you may like to consider using dh-autoreconf instead.  I've
been converting my packages to it and have found it a great improvement.

  * Use autotools-dev to update config.guess and config.sub automatically.

diff -Nru diffstat-1.55/debian/control diffstat-1.55/debian/control
--- diffstat-1.55/debian/control	2012-06-02 18:08:45.000000000 +0100
+++ diffstat-1.55/debian/control	2013-02-08 23:45:17.000000000 +0000
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1)
 Standards-Version: 3.9.3
 Homepage: http://invisible-island.net/diffstat/
 Vcs-Git: git://git.debian.org/git/collab-maint/diffstat.git
diff -Nru diffstat-1.55/debian/rules diffstat-1.55/debian/rules
--- diffstat-1.55/debian/rules	2012-06-02 18:08:45.000000000 +0100
+++ diffstat-1.55/debian/rules	2013-02-08 23:44:59.000000000 +0000
@@ -5,4 +5,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@
+	dh  $@ --with autotools-dev

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Fri, 22 Feb 2013 22:06:07 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Fri, 22 Feb 2013 22:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 700118-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 700118-close@bugs.debian.org
Subject: Bug#700118: fixed in diffstat 1.55-4
Date: Fri, 22 Feb 2013 22:02:28 +0000
Source: diffstat
Source-Version: 1.55-4

We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700118@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Feb 2013 22:50:22 +0100
Source: diffstat
Binary: diffstat
Architecture: source amd64
Version: 1.55-4
Distribution: experimental
Urgency: low
Maintainer: Sandro Tosi <morph@debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 700118
Changes: 
 diffstat (1.55-4) experimental; urgency=low
 .
   * debian/{control,rules}
     - use autotools-dev to update config.guess and config.sub automatically;
       thanks to Colin Watson for the report and patch; Closes: #700118
   * debian/copyright
     - extended packaging copyright years
Checksums-Sha1: 
 4c28aa853c1ee4065a7c47040ef06300f80eefe8 1223 diffstat_1.55-4.dsc
 ad15b9e0884464624d9b332107b98e6410c98dc8 5553 diffstat_1.55-4.debian.tar.gz
 fa79318aee05ab1a8d4308d7ff61adb552310169 30134 diffstat_1.55-4_amd64.deb
Checksums-Sha256: 
 5552cf7f2281ceb46c9541b04116579a9c7d66638d59ac2491f78b84793d1859 1223 diffstat_1.55-4.dsc
 5989e755d5274fb9bc24c4c845d849ed1e070b21fcb7ef4f11b52d99ae0b9eff 5553 diffstat_1.55-4.debian.tar.gz
 32fc39c4c527a91cb61d2fcfbc1f824796219cb3bc2eb3b66d9f71f6399d3e8e 30134 diffstat_1.55-4_amd64.deb
Files: 
 81c06cf184847d6ec54341b8bf567ce7 1223 devel optional diffstat_1.55-4.dsc
 70ca84474a54d5b5ef6b4639e6ac5673 5553 devel optional diffstat_1.55-4.debian.tar.gz
 329cd5c82a0a55647514356e9fe4b683 30134 devel optional diffstat_1.55-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEn6SQACgkQAukwV0RN2VDGswCdFQGZCoWbaDcm6aion4yX9YDy
TRAAmQFGGDxnfJNLWkzA0B9k3RxukEfq
=US77
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Nov 2013 07:28:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:01:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.